BimpДовідка

Співробітники: методи API Bimp

Методи API Bimp для ресурсу «Співробітники» (/org2/employee/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/employee/api-readA request to obtain detailed information for a particular employee
POST /org2/employee/api-readListA request to view a list of employees
POST /org2/employee/api-readStatusesA request to retrieve the available statuses for employees
POST /org2/employee/api-createA request to create a new employee
POST /org2/employee/api-updateA request to update information for an existing employee

api-read

POST /org2/employee/api-read

A request to obtain detailed information for a particular employee

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for an Employee

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for an Employee
codestring
commentstringAn optional text field for any additional notes or comments related to the document
positionstringEmployee position
namestringEmployee name
userstring (uuid) | null
statusstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
hiredDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/employee/api-readList

A request to view a list of employees

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)A unique uuid key for an Employee
[].codestring
[].commentstringAn optional text field for any additional notes or comments related to the document
[].positionstringEmployee position
[].namestringEmployee name
[].userstring (uuid) | null
[].statusstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
[].hiredDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-readStatuses

POST /org2/employee/api-readStatuses

A request to retrieve the available statuses for employees

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].codestring
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readStatuses' \
  -H 'access-token: <токен компанії>'

api-create

POST /org2/employee/api-create

A request to create a new employee

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
namestringтакEmployee name
hiredDatestringтакThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
statusstring (uuid)такA unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
commentstringAn optional text field for any additional notes or comments related to the document
positionstringEmployee position
userstring (uuid) | null
releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","hiredDate":"string","status":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/employee/api-update

A request to update information for an existing employee

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for an Employee
commentstringAn optional text field for any additional notes or comments related to the document
positionstringEmployee position
namestringEmployee name
userstring (uuid) | null
statusstring (uuid)A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request
hiredDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
releasedDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.